<template>
  <div class="content" v-if="user">
    <header>
      <div class="row no-gutters">
        <div class="col-4">
          <span rel="noopener noreferrer" @click="signout">
            Sair
          </span>
        </div>
        <div class="col-8 text-right">
          <NuxtLink rel="noopener noreferrer" :to="this.$route.params.user + '/profile'">
            <img :src="user.photoURL" class="avatar float-right d-block">
          </NuxtLink>
        </div>
      </div>

      <div class="row no-gutters mt-3">
        <div class="col-12">
          <p>Olá, <br> <b>{{user.displayName}}</b></p>
        </div>
      </div>
    </header>

    <!-- <section class="container text-center"> -->

    <section class="container text-center">
      <h2>Precisa de auxilio?</h2>
      <NuxtLink rel="noopener noreferrer" class="button--grey" :to="this.$route.params.user + '/chat'">
        Iniciar questionario
      </NuxtLink>
    </section>

    <!-- <section class="container text-center mt-4">
      <h2>Você possui dependentes?</h2>
      <NuxtLink rel="noopener noreferrer" class="button--grey" :to="this.$route.params.user + '/dependentes'">
        Cadastrar dependentes
      </NuxtLink>
    </section> -->

    <!-- <section class="container mt-4">
      <h2>Dicas e Cuidados</h2>
      <div class="row">
        <div class="col-4 text-center offset-1">
          <NuxtLink rel="noopener noreferrer" to="/user/id">
            <svg xmlns="http://www.w3.org/2000/svg" width="50" height="50" viewBox="0 0 61.243 61.243">
              <g id="Icons_virus" data-name="Icons/ virus" transform="translate(2.121 2.121)">
                <g id="Icons_virus-2" data-name="Icons/ virus">
                  <circle id="Oval" cx="19.5" cy="19.5" r="19.5" transform="translate(9 9)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path" d="M.131,0h0a6.219,6.219,0,0,1,0,8.769h0" transform="translate(28.369)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-2" data-name="Path" d="M0,0H0A6.128,6.128,0,0,1,6.138,6.138h0" transform="translate(8.331 8.331)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-3" data-name="Path" d="M0,1.94H0a6.219,6.219,0,0,1,8.769,0h0" transform="translate(0 26.56)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-4" data-name="Path" d="M0,6.138H0A6.128,6.128,0,0,1,6.138,0h0" transform="translate(8.331 42.531)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-5" data-name="Path" d="M1.94,8.769h0A6.219,6.219,0,0,1,1.94,0h0" transform="translate(26.56 48.231)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-6" data-name="Path" d="M6.138,6.138h0A6.128,6.128,0,0,1,0,0H0" transform="translate(42.531 42.531)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-7" data-name="Path" d="M8.769.131h0A6.219,6.219,0,0,1,0,.131H0" transform="translate(48.231 28.369)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-8" data-name="Path" d="M6.138,0h0A6.128,6.128,0,0,1,0,6.138H0" transform="translate(42.531 8.331)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-9" data-name="Path" d="M7.235,7.673A4.663,4.663,0,0,0,8.769,4.385,4.385,4.385,0,0,0,0,4.385,4.663,4.663,0,0,0,1.535,7.673,4.663,4.663,0,0,0,0,10.962a4.385,4.385,0,1,0,8.769,0A4.663,4.663,0,0,0,7.235,7.673Z" transform="translate(30.692 19.731)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <circle id="Oval-2" data-name="Oval" cx="3.288" cy="3.288" r="3.288" transform="translate(17.538 30.692)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-10" data-name="Path" d="M0,6.577,6.577,0" transform="translate(17.538 17.538)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                </g>
              </g>
            </svg>
            <p>Virus</p>
          </NuxtLink>
        </div>
        <div class="col-4 text-center offset-2">
          <NuxtLink rel="noopener noreferrer" to="/user/id">
            <svg xmlns="http://www.w3.org/2000/svg" width="50" height="50" viewBox="0 0 59.981 59.981">
              <g id="Icons_pills" data-name="Icons/ pills" transform="translate(1.481 1.481)">
                <g id="Icons_pills-2" data-name="Icons/ pills" transform="translate(0.019 0.019)">
                  <circle id="Oval" cx="13.5" cy="13.5" r="13.5" transform="translate(29.981 29.981)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path" d="M44.831,29.756l6.75-6.75a13.72,13.72,0,0,0,0-19.125h0a13.72,13.72,0,0,0-19.125,0L3.881,32.456a13.72,13.72,0,0,0,0,19.125h0a13.72,13.72,0,0,0,19.125,0l6.975-6.975" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-2" data-name="Path" d="M0,0,15.3,15.3" transform="translate(18.731 18.731)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-3" data-name="Path" d="M0,.75H9" transform="translate(38.981 42.731)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                </g>
              </g>
            </svg>
            <p>Remédios</p>
          </NuxtLink>
        </div>
      </div>

      <div class="row mt-4">
        <div class="col-4 text-center offset-1">
          <NuxtLink rel="noopener noreferrer" to="/user/id">
            <svg xmlns="http://www.w3.org/2000/svg" width="50" height="50" viewBox="0 0 60 54.893">
              <g id="Icons_wheelchair" data-name="Icons/ wheelchair" transform="translate(1.5 1.5)">
                <g id="Icons_wheelchair-2" data-name="Icons/ wheelchair">
                  <ellipse id="Oval" cx="14.25" cy="14.53" rx="14.25" ry="14.53" transform="translate(2.036 22.833)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <ellipse id="Oval-2" data-name="Oval" cx="6.107" cy="6.227" rx="6.107" ry="6.227" transform="translate(38.679 39.439)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path" d="M6.107.75H0" transform="translate(50.893 44.916)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-2" data-name="Path" d="M12.214.75H0" transform="translate(30.536 32.461)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-3" data-name="Path" d="M0,0H23.411a3.939,3.939,0,0,1,3.868,3.114l5.7,21.795" transform="translate(12.214 14.53)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-4" data-name="Path" d="M0,0H5.089A3.939,3.939,0,0,1,8.957,3.114L14.25,22.833" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                </g>
              </g>
            </svg>
            <p>Cuidados</p>
          </NuxtLink>
        </div>
        <div class="col-4 text-center offset-2">
          <NuxtLink rel="noopener noreferrer" to="/user/id">
            <svg xmlns="http://www.w3.org/2000/svg" width="50" height="50" viewBox="0 0 60 62.159">
              <g id="Icons_lungs" data-name="Icons/ lungs" transform="translate(1.5 1.5)">
                <g id="Icons_lungs-2" data-name="Icons/ lungs">
                  <path id="Path" d="M24.115,26.308v4.385c0,14.908-4.385,16-10.962,16C7.015,46.7,0,59.412,0,38.365S11.4,0,18.2,0c1.754,0,3.288.658,4.165,4.165" transform="translate(0 8.769)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-2" data-name="Path" d="M0,26.308v4.385c0,14.908,4.385,16,10.962,16,6.138,0,13.154,12.715,13.154-8.331S12.715,0,6.138,0C4.385,0,2.85.658,1.973,4.165" transform="translate(32.885 8.769)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-3" data-name="Path" d="M13.154,0V14.469a11.569,11.569,0,0,1-4.165,8.769L0,30.692" transform="translate(15.346)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                  <path id="Path-4" data-name="Path" d="M0,0A11.569,11.569,0,0,0,4.165,8.769l8.988,7.454" transform="translate(28.5 14.469)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="3"/>
                </g>
              </g>
            </svg>
            <p>Oxigenação</p>
          </NuxtLink>
        </div>
      </div>
    </section> -->
  </div>
</template>

<script>
export default {
  data() {
    return {
      user: null,
    };
  },

  mounted() {
    this.$fire.auth.onAuthStateChanged(user => {
      this.getUserFromFirestore(user.uid);
    });
  },

  methods: {
    async getUserFromFirestore(uid) {
      const currentUser = this.$fire.firestore
        .collection('Users')
        .doc(uid)
      try {
        const snapshot = await currentUser.get()
        const doc = snapshot.data()
        if (!doc) {
          alert('Document does not exist.')
          return
        }
        this.user = doc;
      } catch (e) {
        alert(e)
      }
    },

    signout() {
      this.$nuxt.$emit('signout')
    },
  },
};
</script>

<style scoped>
  span {
    cursor: pointer;
  }

  .content {
    margin-bottom: 1rem;
  }
  header p {
    font-size: 1.6rem;
  }

  h2 {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 1rem;
  }

  section .row > div {
    background-color: #E0ECDE;
    padding: .5rem 0;
    border-radius: 8px;
    box-shadow: 0 4px 6px 0 hsla(0, 0%, 0%, 0.2);
  }

  .row > div p {
    margin: .5rem 0 0;
  }

  .row > div a {
    color: #205072;
  }
</style>
